Bug 518819 - openoffice writer crashes during save document
Summary: openoffice writer crashes during save document
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 11:29 UTC by Edwin ten Brink
Modified: 2009-10-19 10:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-30 19:48:05 UTC


Attachments (Terms of Use)
Openoffice crashlog (10.96 KB, text/plain)
2009-10-19 09:53 UTC, Davide Repetto
no flags Details

Description Edwin ten Brink 2009-08-23 11:29:12 UTC
Description of problem:
openoffice writer crashes during close & save document.


Version-Release number of selected component (if applicable):
$ rpm -qa | grep openoffice | sort
openoffice.org-base-3.1.0-11.3.fc11.i586
openoffice.org-base-core-3.1.0-11.3.fc11.i586
openoffice.org-brand-3.1.0-11.3.fc11.i586
openoffice.org-calc-3.1.0-11.3.fc11.i586
openoffice.org-calc-core-3.1.0-11.3.fc11.i586
openoffice.org-core-3.1.0-11.3.fc11.i586
openoffice.org-draw-3.1.0-11.3.fc11.i586
openoffice.org-draw-core-3.1.0-11.3.fc11.i586
openoffice.org-extendedPDF-1.4-6.fc11.noarch
openoffice.org-graphicfilter-3.1.0-11.3.fc11.i586
openoffice.org-impress-3.1.0-11.3.fc11.i586
openoffice.org-impress-core-3.1.0-11.3.fc11.i586
openoffice.org-langpack-en-3.1.0-11.3.fc11.i586
openoffice.org-math-3.1.0-11.3.fc11.i586
openoffice.org-math-core-3.1.0-11.3.fc11.i586
openoffice.org-opensymbol-fonts-3.1.0-11.3.fc11.i586
openoffice.org-pdfimport-3.1.0-11.3.fc11.i586
openoffice.org-presenter-screen-3.1.0-11.3.fc11.i586
openoffice.org-ure-3.1.0-11.3.fc11.i586
openoffice.org-writer-3.1.0-11.3.fc11.i586
openoffice.org-writer-core-3.1.0-11.3.fc11.i586


How reproducible:
? (normally not)


Steps to Reproduce:
1. Open a writer document.
2. Change the document (do not save).
3. Close openoffice writer via the close application "X" on the right-top corner.
4. Choose "Save" in the dialog.

  
Actual results:
Crash with pop-up "OOo has crashed! Paste this text into your bugreport" (see Additional info below).


Expected results:
Save & exit normally.


Additional info:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//ati_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//radeon_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.4.1-2.fc11-i586
(VI)   kernel is: Linux 2.6.29.6-217.2.8.fc11.i586 #1 SMP Sat Aug 15 00:44:39 EDT 2009 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.1.0-11.3.fc11-i586
(VIII) accessibility is: false
(IX)   gtk theme is: Nodoka
(X)    icon theme is: Fedora
(XI)   metacity theme is: Nodoka
(XII)  fedora release is: Fedora release 11 (Leonidas)
(XIII) LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda5            451768872 295920792 132898828  70% /home
/dev/md1               2071224     71684   1894324   4% /tmp
...end free space details ...
...start (default) java details ...
java version "1.6.0_14"
Java(TM) SE Runtime Environment (build 1.6.0_14-b08)
Java HotSpot(TM) Client VM (build 14.0-b16, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 24
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x71de1e: 0x1c04c0: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x20e1e
0x71e765: 0x1c04c0: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x21765
0x319400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0x319422: 0x0:  + 0x422 (__kernel_vsyscall + 0x2)
0x3457c1: 0x16cd7c: /lib/libc.so.6 + 0x2b7c1 (gsignal + 0x51)
0x347092: 0x16cd7c: /lib/libc.so.6 + 0x2d092 (abort + 0x182)
0x1e6cef: 0xe3998: /usr/lib/libstdc++.so.6 + 0xb6cef (__gnu_cxx::__verbose_terminate_handler() + 0x14f)
0x1e4c25: 0xe3998: /usr/lib/libstdc++.so.6 + 0xb4c25
0x1e4c62: 0xe3998: /usr/lib/libstdc++.so.6 + 0xb4c62
0x1e5915: 0xe3998: /usr/lib/libstdc++.so.6 + 0xb5915
0xd7a145: 0xf3f44: /usr/lib/openoffice.org3/program/../basis-link/program/libsvlli.so + 0x7d145 (SfxItemPool::Put(SfxPoolItem const&, unsigned short) + 0x1df)
0xd7d20f: 0xf3f44: /usr/lib/openoffice.org3/program/../basis-link/program/libsvlli.so + 0x8020f (SfxItemSet::Put(SfxPoolItem const&, unsigned short) + 0x12b)
0xd8015e: 0xf3f44: /usr/lib/openoffice.org3/program/../basis-link/program/libsvlli.so + 0x8315e (SfxItemSet::Set(SfxItemSet const&, unsigned char) + 0x92)
0xb2a8b24e: 0xc488b8: /usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x46624e
0xb2a8b96a: 0xc488b8: /usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x46696a
0xd7a76c: 0xf3f44: /usr/lib/openoffice.org3/program/../basis-link/program/libsvlli.so + 0x7d76c (SfxItemPool::Free(SfxItemPool*) + 0x84)
0xacfafcbf: 0xa80420: /usr/lib/openoffice.org3/program/../basis-link/program/libswli.so + 0x2dfcbf (SwDoc::~SwDoc() + 0xa1f)
0xad27ac8f: 0xa80420: /usr/lib/openoffice.org3/program/../basis-link/program/libswli.so + 0x5aac8f
0xad27b97f: 0xa80420: /usr/lib/openoffice.org3/program/../basis-link/program/libswli.so + 0x5ab97f (SwDocShell::~SwDocShell() + 0x8f)
0xee64ce: 0xa05a8: /usr/lib/openoffice.org3/program/../basis-link/program/libtlli.so + 0x594ce (SvRefBase::QueryDelete() + 0x16)
0xf3ed23: 0x5ba34: /usr/lib/openoffice.org3/program/../basis-link/program/libsotli.so + 0xfd23 (SotObject::QueryDelete() + 0x31)
0x10cebf6: 0x3c1d68: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0xf1bf6
0x118a631: 0x3c1d68: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1ad631
0x1192b83: 0x3c1d68: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1b5b83 (SfxTopViewFrame::~SfxTopViewFrame() + 0x53)
0x1192f63: 0x3c1d68: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1b5f63 (SfxTopViewFrame::Close() + 0x51)
0x117c804: 0x3c1d68: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x19f804
0x1198a45: 0x3c1d68: /usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x1bba45 (SfxBaseController::dispose() + 0x399)
0x28e9dd4: 0x2961bc: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x99dd4
0x28e87df: 0x2961bc: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x987df
0x28bb33e: 0x2961bc: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6b33e
0x28bb4b5: 0x2961bc: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6b4b5
0x28bc12c: 0x2961bc: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6c12c
0x28bc459: 0x2961bc: /usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x6c459
0x6187b68: 0x38576c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x25ab68
0x6133e02: 0x38576c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x206e02
0x78a6287: 0x7b5f8: /usr/lib/openoffice.org/basis3.1/program/libvclplug_genli.so + 0x48287 (SalDisplay::DispatchInternalEvent() + 0x97)
0x746df1b: 0x4ef60: /usr/lib/openoffice.org/basis3.1/program/libvclplug_gtkli.so + 0x11f1b
0x23f0f71: 0xdd050: /lib/libglib-2.0.so.0 + 0x32f71
0x23f2cf8: 0xdd050: /lib/libglib-2.0.so.0 + 0x34cf8 (g_main_context_dispatch + 0x1f8)
0x23f6370: 0xdd050: /lib/libglib-2.0.so.0 + 0x38370
0x23f64a3: 0xdd050: /lib/libglib-2.0.so.0 + 0x384a3 (g_main_context_iteration + 0x73)
0x746dfe3: 0x4ef60: /usr/lib/openoffice.org/basis3.1/program/libvclplug_gtkli.so + 0x11fe3
0x78ac815: 0x7b5f8: /usr/lib/openoffice.org/basis3.1/program/libvclplug_genli.so + 0x4e815 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x5fbe760: 0x38576c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x91760 (Application::Yield(bool) + 0x5c)
0x5fbe7af: 0x38576c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x917af (Application::Execute() + 0x2b)
0xb48ecb: 0x638c0: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x18ecb
0x5fc28bf: 0x38576c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x958bf
0x5fc2a57: 0x38576c: /usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x95a57 (SVMain() + 0x2c)
0xb6d1b8: 0x638c0: /usr/lib/openoffice.org3/program/../basis-link/program/libsofficeapp.so + 0x3d1b8 (soffice_main + 0xd0)
0x8048c74: 0x16c0: /usr/lib/openoffice.org3/program/soffice.bin + 0xc74 (main + 0x20)
0x330a66: 0x16cd7c: /lib/libc.so.6 + 0x16a66 (__libc_start_main + 0xe6)
0x8048bc1: 0x16c0: /usr/lib/openoffice.org3/program/soffice.bin + 0xbc1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00519000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00110000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x007d5000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x0051a000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x005a8000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00537000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00561000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x007be000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00621000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0069c000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x006e2000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00774000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00507000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x0050b000)
	librt.so.1 => /lib/librt.so.1 (0x00510000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00bf7000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0086b000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00b8c000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x008ac000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.1/program/libvclplug_genli.so (0x0098a000)
	libvclli.so => /usr/lib/openoffice.org/basis3.1/program/libvclli.so (0x00c16000)
	libpspli.so => /usr/lib/openoffice.org/basis3.1/program/libpspli.so (0x00a99000)
	libsotli.so => /usr/lib/openoffice.org/basis3.1/program/libsotli.so (0x00fa3000)
	libutlli.so => /usr/lib/openoffice.org/basis3.1/program/libutlli.so (0x02140000)
	libtlli.so => /usr/lib/openoffice.org/basis3.1/program/libtlli.so (0x06b5f000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.1/program/libcomphelp4gcc3.so (0x0343c000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.1/program/libucbhelper4gcc3.so (0x0619d000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.1/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x022b6000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.1/program/../ure-link/lib/libuno_cppu.so.3 (0x00a0d000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.1/program/libvos3gcc3.so (0x00bcd000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.1/program/../ure-link/lib/libuno_sal.so.3 (0x06339000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x0057e000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x05c03000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x007a7000)
	libdl.so.2 => /lib/libdl.so.2 (0x007b7000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x03d42000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.1/program/../ure-link/lib/libstlport_gcc.so (0x03f1c000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x01001000)
	libm.so.6 => /lib/libm.so.6 (0x0317e000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x07db8000)
	libc.so.6 => /lib/libc.so.6 (0x010ee000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x007c9000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00a39000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x007ce000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x00b78000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00b82000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x007d1000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00bf0000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x074bd000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0494b000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x01f32000)
	libz.so.1 => /lib/libz.so.1 (0x05fb0000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x0555e000)
	/lib/ld-linux.so.2 (0x00586000)
	libcap.so.2 => /lib/libcap.so.2 (0x02500000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.1/program/libbasegfxli.so (0x06c94000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x04cb1000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x04fd3000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.1/program/libi18nisolang1gcc3.so (0x05610000)
	libi18nutilgcc3.so => /usr/lib/openoffice.org/basis3.1/program/libi18nutilgcc3.so (0x06042000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0x0125f000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb7329000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0x03323000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.1/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x07ee5000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.1/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x00bf3000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x05e9f000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x04217000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x07bd2000)
	libattr.so.1 => /lib/libattr.so.1 (0x02577000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x025b2000)
	libfreebl3.so => /lib/libfreebl3.so (0x065a6000)
...end sample ldd details ...

Comment 1 Caolan McNamara 2009-08-23 19:58:02 UTC
This definitely doesn't happen for everyone with every document, so probably related to some specific issue with this document (though organizations often base documents on other documents they have so it might happen with a few of your documents)

Is is possible to get a document from you where the above happens ?

Comment 2 Caolan McNamara 2009-08-28 09:05:20 UTC
Is is possible to get a document from you which triggers this problem ?, if you can't attach it publicly to this issue but trust me then you could mail it to me directly.

Comment 3 Edwin ten Brink 2009-08-29 08:33:12 UTC
I have not been able to reproduce the bug since reporting, so it may have been some random erroneous behaviour (which of course should not have happened).

I will send you the offending document privately for examination. It is a Microsoft Word .doc file which I was working on, so perhaps there was something offending in it.

If you cannot find anything which may cause the crash, feel free to close this bug with resolution WORKSFORME. I (or anyone else) can re-open it if something more reproducible occurs.

Comment 4 Caolan McNamara 2009-08-30 19:48:05 UTC
Unfortunately I get nothing (and nothing in valgrind) by loading that doc, making a change and using save. So possibly its a particular unknown sequences of changes required. I'll have to make it as WORKSFORME for now. Hopefully a more direct route to trigger this will get reported elsewhere and this'll get fixed due to that.

Comment 5 Davide Repetto 2009-10-19 09:53:43 UTC
Created attachment 365223 [details]
Openoffice crashlog

Comment 6 Caolan McNamara 2009-10-19 10:09:05 UTC
caolanm->davide: You've attached a different crash report to this issue. Your trace is unrelated to the original problem documented here.

Please open a separate new bug for your problem. Ideally with some information which would help reproduce your different problem.

Comment 7 Davide Repetto 2009-10-19 10:18:01 UTC
I'm experiencing a very similar problem.
Can we reopen this bug or do I need to file a new one?


Description of problem:
=======================
Openoffice (any program) crashes when saving a document. (on SMB shares)

**** The crash happens if you're saving on an SMB share
     (a samba server in my case).
**** The crash happens only if you're saving an already existing document.
     The initial save works.

In the same situation previous versions of Oo would issue a waring about not being able to save a backup and then the file would get saved the next time you hit the "save" button. This was a known problem.

With 3.1.1 you simply get a crash instead.


versions:
=========
openoffice.org-base-3.1.1-19.2.fc11.i586


Crashlog from openoffice:
=========================
See Attached File
https://bugzilla.redhat.com/attachment.cgi?id=365223


How reproducible:
=================
Always


Steps to Reproduce:
===================
1. Create a document. Or open an existing one.
2. If you Save it on an SMB share for the first time (and the file does not yet exist on the SMB share) it should work
3. If the file already exists when you hit "Save", then Openoffice should crash


Actual results:
===============
Crash with pop-up "OOo has crashed! Paste this text into your bugreport"


Expected results:
=================
If not a flawless save, one would expect at least the old behaviour (with warnings etc).


Additional info:
================

I mount my samba shares through fstab:
======================================
//smb/work		/net/work		cifs	user=testuser,pass=testpass,domain=WORKGROUP,uid=testuser,gid=users	0  


Excerpt from my samba config:
=============================

[global]
        time server = Yes
        unix extensions = No
        ^^^^^^^^^^^^^^^^^^^^
        domain logons = Yes
        preferred master = Yes
        domain master = Yes
        create mask = 0770
        directory mask = 0770
        delete readonly = Yes
        dos filemode = Yes

[work]
        path = /work
        admin users = testuser
        read only = No
        force create mode = 0770
        force directory mode = 0770

Comment 8 Davide Repetto 2009-10-19 10:21:09 UTC
Sorry caolanm, I didn't read your comment before posting...

Shall I file a separate bug then?

Comment 9 David Tardon 2009-10-19 10:22:33 UTC
dtardon->red: yes, if you please

Comment 10 Davide Repetto 2009-10-19 10:34:18 UTC
red -> dtardon: (Dammit how fast are you??? :) Created Bug 529648 for this new issue.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.